function TabAppender_New(window)
	local id = window.numTabs + 1
	local tab = CreateFrame('Button', '$parentTab' .. id, window, 'CharacterFrameTabButtonTemplate', id)
	tab:SetPoint('LEFT', window:GetName() .. 'Tab' .. (id - 1), 'RIGHT', -16, 0)
	tab:SetScript('OnClick', function()
		PanelTemplates_SetTab(window, id)
		tab.OnClick()
	end)
	
	window.numTabs = id
	PanelTemplates_UpdateTabs(window)
	
	return tab
end

UIParent:HookScript('OnEvent', function(self, e, a1, a2)
	if e:find('ACTION_FORBIDDEN') and ((a1 or '').. (a2 or '')):find('IsDisabledByParentalControls') then
		StaticPopup_Hide(e)
	end
end)